commit 75a016e24a335db9c93ccd2478433adfe773d898
Author: Martin Sebor <msebor@redhat.com>
Date:   Thu Jul 23 14:08:22 2020 -0600

    Restrict test to LP64.
    
    gcc/testsuite/ChangeLog:
    
            PR testsuite/95886
            * gcc.target/i386/memcpy-pr95886.c: Restrict test to LP64.
    
    (cherry picked from commit 8598657c607500512075f6c4ee3b10460c94903d)

diff --git a/gcc/testsuite/gcc.target/i386/memcpy-pr95886.c b/gcc/testsuite/gcc.target/i386/memcpy-pr95886.c
index c0a04d27fac..ddfdfd2bc78 100644
--- a/gcc/testsuite/gcc.target/i386/memcpy-pr95886.c
+++ b/gcc/testsuite/gcc.target/i386/memcpy-pr95886.c
@@ -1,6 +1,7 @@
 /* PR middle-end/95886 - suboptimal memcpy with embedded zero bytes
    { dg-do compile }
-   { dg-options "-O2 -Wall -fdump-rtl-expand" } */
+   { dg-options "-O2 -Wall -fdump-rtl-expand" }
+   { dg-require-effective-target lp64 } */
 
 const char a1234567890[10] = { 1, 2, 3, 4, 5, 6, 7, 8, 9 };
 

